Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in IBM JDK for Linux
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in IBM JDK for Linux
ID: SUSE-SU-2017:1444-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 11-SP3-LTSS, SUSE Linux Enterprise Point of Sale 11-SP3
Datum: Di, 30. Mai 2017, 18:45
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-1289
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-9841
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-2183
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-9843
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-3514
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-9840
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-3539
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-3544
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-3533
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-3509
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-9842

Originalnachricht

   SUSE Security Update: Security update for java-1_6_0-ibm
______________________________________________________________________________

Announcement ID: SUSE-SU-2017:1444-1
Rating: important
References: #1027038 #1038505
Cross-References: CVE-2016-2183 CVE-2016-9840 CVE-2016-9841
CVE-2016-9842 CVE-2016-9843 CVE-2017-1289
CVE-2017-3509 CVE-2017-3514 CVE-2017-3533
CVE-2017-3539 CVE-2017-3544
Affected Products:
SUSE Linux Enterprise Server 11-SP3-LTSS
SUSE Linux Enterprise Point of Sale 11-SP3
______________________________________________________________________________

An update that fixes 11 vulnerabilities is now available.

Description:


This update for java-1_6_0-ibm fixes the following issues:


- CVE-2016-9840: zlib: Out-of-bounds pointer arithmetic in inftrees.c
- CVE-2016-9841: zlib: Out-of-bounds pointer arithmetic in inffast.c
- CVE-2016-9842: zlib: Undefined left shift of negative number
- CVE-2016-9843: zlib: Big-endian out-of-bounds pointer
- CVE-2017-1289: IBM JDK: XML External Entity Injection (XXE) error when
processing XML data
- CVE-2017-3509: OpenJDK: improper re-use of NTLM authenticated
connections
- CVE-2017-3539: OpenJDK: MD5 allowed for jar verification
- CVE-2017-3533: OpenJDK: newline injection in the FTP client
- CVE-2017-3544: OpenJDK: newline injection in the SMTP client

- Version update to 6.0-16.40 bsc#1027038 CVE-2016-2183


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Server 11-SP3-LTSS:

zypper in -t patch slessp3-java-1_6_0-ibm-13130=1

- SUSE Linux Enterprise Point of Sale 11-SP3:

zypper in -t patch sleposp3-java-1_6_0-ibm-13130=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Server 11-SP3-LTSS (i586 s390x x86_64):

java-1_6_0-ibm-1.6.0_sr16.45-84.1
java-1_6_0-ibm-devel-1.6.0_sr16.45-84.1
java-1_6_0-ibm-fonts-1.6.0_sr16.45-84.1
java-1_6_0-ibm-jdbc-1.6.0_sr16.45-84.1

- SUSE Linux Enterprise Server 11-SP3-LTSS (i586 x86_64):

java-1_6_0-ibm-plugin-1.6.0_sr16.45-84.1

- SUSE Linux Enterprise Server 11-SP3-LTSS (i586):

java-1_6_0-ibm-alsa-1.6.0_sr16.45-84.1

- SUSE Linux Enterprise Point of Sale 11-SP3 (i586):

java-1_6_0-ibm-1.6.0_sr16.45-84.1
java-1_6_0-ibm-alsa-1.6.0_sr16.45-84.1
java-1_6_0-ibm-devel-1.6.0_sr16.45-84.1
java-1_6_0-ibm-fonts-1.6.0_sr16.45-84.1
java-1_6_0-ibm-jdbc-1.6.0_sr16.45-84.1
java-1_6_0-ibm-plugin-1.6.0_sr16.45-84.1


References:

https://www.suse.com/security/cve/CVE-2016-2183.html
https://www.suse.com/security/cve/CVE-2016-9840.html
https://www.suse.com/security/cve/CVE-2016-9841.html
https://www.suse.com/security/cve/CVE-2016-9842.html
https://www.suse.com/security/cve/CVE-2016-9843.html
https://www.suse.com/security/cve/CVE-2017-1289.html
https://www.suse.com/security/cve/CVE-2017-3509.html
https://www.suse.com/security/cve/CVE-2017-3514.html
https://www.suse.com/security/cve/CVE-2017-3533.html
https://www.suse.com/security/cve/CVE-2017-3539.html
https://www.suse.com/security/cve/CVE-2017-3544.html
https://bugzilla.suse.com/1027038
https://bugzilla.suse.com/1038505

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung